Skip to main content
GET
/
v1
/
batches
/
{batch_id}
/
results
Error
A valid request URL is required to generate request examples
{
  "batch_id": "<string>",
  "results": [
    {
      "custom_id": "<string>",
      "response": {
        "status_code": 123,
        "request_id": "<string>",
        "body": {}
      },
      "result": {
        "type": "<string>",
        "message": {}
      },
      "error": {
        "code": "<string>",
        "message": "<string>"
      }
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "extra_fields": {
    "request_type": "<string>",
    "model_requested": "<string>",
    "model_deployment": "<string>",
    "latency": 123,
    "chunk_index": 123,
    "raw_request": {},
    "raw_response": {},
    "cache_debug": {
      "cache_hit": true,
      "cache_id": "<string>",
      "hit_type": "<string>",
      "requested_provider": "<string>",
      "requested_model": "<string>",
      "provider_used": "<string>",
      "model_used": "<string>",
      "input_tokens": 123,
      "threshold": 123,
      "similarity": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Path Parameters

batch_id
string
required

The ID of the batch

Query Parameters

provider
enum<string>
required

The provider of the batch AI model provider identifier

Available options:
openai,
azure,
anthropic,
bedrock,
cohere,
vertex,
vllm,
mistral,
ollama,
groq,
sgl,
parasail,
perplexity,
replicate,
cerebras,
gemini,
openrouter,
elevenlabs,
huggingface,
nebius,
xai,
runway,
fireworks

Response

Successful response

batch_id
string
results
object[]
has_more
boolean
next_cursor
string
extra_fields
object

Additional fields included in responses